Ruby M1 芯片的 macOS 搭建 Ruby on Rails 环境?

279959599 · 2021年10月21日 · 最后由 cs0511 回复于 2021年11月22日 · 1175 次阅读

一直用 mac pro。后来苹果出了 m1 芯片的本。我打算换新。买回来之后。发现有些软件编译不过去。隐约记得报错什么 arm64 某某。大概应该是指令集不支持吧。折腾 2 天环境没弄好,退掉了。

由于公司项目的原因。ruby 版本用的很老的。2.1.6 版本。

所以我现在又想用最新的 m1 芯片的本。又想用老版本的 ruby,以及相关的 gem。不知道有没有大神。在 m1 芯片的本上搭建成功过。

有什么窍门没有。比如类似华为的方舟编译器。苹果也提供过。但是按照网上的操作还是没有成功。希望用 m1 芯片的大神,多帮忙

换一台 intel 的。或者开虚拟机,在 linux 下应该简单点。

装虚拟机,或者别买 M1

shopify 准备全员换 M1 macbook pro 了

M1 芯片可以使用 ruby 2.1.10 我们公司现在就有

docker 就可以了。我的也是 m1.

熊志祥还在 ruby 圈混

darksky 回复

黄任重。你怎么消失了。电话多少。

快被人搞死啦,还联系屁

darksky 回复

怎么了。你的电话,你爸的电话好像都打不通了。你的微信多少。我好像找不到你了。

filetype 回复

你找我干嘛?没钱借给你

@filetype 这位兄弟到给我打开一扇窗户了。以前咋没想到 docker 呢。可以试下。

我之前也遇见这个问题了,后面解决了。
版本是: 2.3.0 + 4.1.8 原帖在 Mac 新系统安装 Ruby 失败问题

这么老版本的 Ruby 感觉还是 Docker 靠谱。

使用 Rosetta 2 打开 Terminal, 然后安装 x86 版本 brewhome

需要 登录 后方可回复, 如果你还没有账号请 注册新账号